ATANH(3)

NAME
atanh, atanhf - inverse hyperbolic tangent

SYNOPSIS

#include <math.h>

double atanh(double x);

float atanhf(float x);

DESCRIPTION

atanh calculates the inverse hyperbolic tangent of x.

atanhf is identical, other than taking and returning float values.

RETURNS

atanh and atanhf return the calculated value.

If

    x|

is greater than 1, the global errno is set to EDOM and the result is a NaN. A DOMAIN error is reported.

If

    x|

is 1, the global errno is set to EDOM; and the result is infinity with the same sign as x. A SING error is reported.

PORTABILITY

Neither atanh nor atanhf are ANSI C.